/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

#ifndef SSTMAC_MACROBRIDGE_EVENTACCESS_H
#define SSTMAC_MACROBRIDGE_EVENTACCESS_H

#include <sstmac/simulator/eventmanager.h>

namespace sstmac {

  /**
   * Access an event manager that is tied to the SST/microscale simulator.
   */
  boost::shared_ptr<eventmanager> sst_micromanager();

} // end of namespace sstmac.

#endif // ! SSTMAC_MACROBRIDGE_EVENTACCESS_H
