/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */


#ifndef SSTMAC_NETWORK_LINKAGE_H
#define SSTMAC_NETWORK_LINKAGE_H

#include <sstmac/network/ring.h>
#include <sstmac/network/product.h>
#include <sstmac/network/hypercube.h>
#include <sstmac/network/gamma.h>
#include <sstmac/network/clos.h>
#include <sstmac/network/fattree.h>
#include <sstmac/network/torus.h>

namespace sstmac {

    static sstmac::force_link<torus> fl_torus;
    static sstmac::force_link<ring> fl_ring;
    static sstmac::force_link<fattree> fl_fattree;
    static sstmac::force_link<product> fl_product;
    static sstmac::force_link<hypercube> fl_hypercube;
    static sstmac::force_link<gamma> fl_gamma;
    static sstmac::force_link<clos> fl_clos;

};


#endif
