/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

#ifndef SSTMAC_PROCESS_ACTORMSG_H
#define SSTMAC_PROCESS_ACTORMSG_H

#include <boost/shared_ptr.hpp>

namespace sstmac {

  /**
   * Base type for messages that get sent between peers in a
   * distributed actor-based application.
   */
  class actormsg {
  public:
    /// Goodbye.
    virtual ~actormsg() {}

    /// Create a copy of this object.  Required because we don't want
    /// people accidentally creating shared objects (which aren't supposed
    /// to exist in ACTORs).
    virtual boost::shared_ptr<actormsg> actorclone() const = 0;
  };

} // end of namespace sstmac

#endif // ! SSTMAC_PROCESS_ACTORMSG_H
