/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

#ifndef SSTMAC_PROCESS_ACTORSERVER_CLIENT_INTERNALREQUEST_H
#define SSTMAC_PROCESS_ACTORSERVER_CLIENT_INTERNALREQUEST_H

#include <sstmac/process/actorserver-client.h>

namespace sstmac {

  /**
   * Base type to handle internal request.
   * Without this base type, we would have to do a switch on dynamic
   * pointer casts (which is even uglier).  This is not the same
   * as claiming that the current solution is beautiful.
   */
  class actorserver::client::internalrequest {
  public:
    /// Elvis has left the building.
    virtual ~internalrequest() {}

    /// This is it, here I stand, tralala.
    virtual void handle(const shared_ptr<actorserver::client>& parent,
                        const actorid &sender) = 0;
  };

} // end of namespace sstmac

#endif // ! SSTMAC_PROCESS_ACTORSERVER_CLIENT_INTERNALREQUEST_H
