/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

#ifndef SSTMAC_PROCESS_KEY_H
#define SSTMAC_PROCESS_KEY_H

#include <sstmac/process/context.h>
#include <boost/shared_ptr.hpp>
#include <vector>

namespace sstmac {

  /**
   * A base type and default (empty) implementation of a handle
   * to block and unblock processes managed by a scheduler.
   */
  class key {
    friend class scheduler;
    typedef std::vector< threadcontext_t* > blocking_t;
    blocking_t blocking_;
  public:
    static boost::shared_ptr<key> construct();
    virtual ~key() {}
  };

} // end of namespace sstmac

#endif // ! SSTMAC_PROCESS_KEY_H
