/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

#include <sstmac/process/mpicorerecv.h>
#include <sstmac/process/mpirecvengine.h>

namespace sstmac {

  // Pointer types.
  using boost::shared_ptr;

  //
  // Hello.
  //
  mpicorerecv::mpicorerecv() {
  }

  //
  // Hello.
  //
  boost::shared_ptr<mpicorerecv> mpicorerecv::construct() {
    return shared_ptr<mpicorerecv>(new mpicorerecv);
  }

  //
  // Goodbye.
  //
  mpicorerecv::~mpicorerecv() throw() {
  }

  //
  // Post a receive request.
  //
  boost::shared_ptr<mpikernel>
  mpicorerecv::build(const boost::shared_ptr<key>& thekey,
                     const boost::shared_ptr<mpiqueue>& queue,
                     int count, const mpitype &type, const mpiid &source,
                     const mpitag &tag, const mpicomm &comm,
                     const boost::shared_ptr<mpimagic>& /*magic is ignored*/) const
  {
    return mpirecvengine::construct(thekey, queue, count, type, source,
                                    tag, comm, mpimessage::user);
  }
  
} // end of namespace sstmac
