/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

#include <sstmac/process/mpirecv.h>
#include <sstmac/process/mpimessage.h>
#include <sstmac/util/errors.h>

namespace sstmac {

  // Pointer types.
  using boost::shared_ptr;
  using boost::weak_ptr;

  //
  // Hello.
  //
  mpirecv::mpirecv() {
  }

  //
  // Goodbye.
  //
  mpirecv::~mpirecv() throw() {
  }

  //
  // Assign a message with this object.
  //
  void mpirecv::set_message(const boost::shared_ptr<mpimessage>& msg) {
    message_ = msg;
  }

  //
  // Access the message associated with this object.
  //
  shared_ptr<mpimessage> mpirecv::get_message() {
    return message_;
  }

}
