/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

#include <sstmac/process/mpisend.h>
#include <sstmac/process/mpistatus.h>
#include <sstmac/util/errors.h>

namespace sstmac {

  //
  // Hello.
  //
  mpisend::mpisend() :
    status_(mpistatus::construct())
  {}

  //
  // Goodbye.
  //
  mpisend::~mpisend() throw() {
  }

  //
  // Get the status associated with this send request.
  //
  boost::shared_ptr<mpistatus> mpisend::get_mpistatus() {
    return status_;
  }

} // end of namespace sstmac
