/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

%module sstmac_process

%{
#include <sstmac/process/mpiqueue.h>
%}

#if SWIG_VERSION >= 0x020000
%shared_ptr(sstmac::mpiqueue);
#else
SWIG_SHARED_PTR(mpiqueueptr, sstmac::mpiqueue);
#endif

%import sstmac/swig/simulator/nodeinterface.i
%import sstmac/swig/simulator/networkinterface.i
%import sstmac/swig/simulator/eventhandler.i

%include sstmac/swig/process/mpimessage.i
%include sstmac/swig/process/mpicomm.i
%include sstmac/swig/process/mpitype.i
%include sstmac/swig/process/mpitag.i
%include sstmac/swig/process/mpiid.i
%include sstmac/swig/process/mpiserver.i
%include sstmac/swig/process/mpisend.i
%include sstmac/swig/process/mpirecv.i
%include sstmac/swig/process/mpiprobe.i

%include sstmac/process/mpiqueue.h

