/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

%module sstmac_process

%{
#include <sstmac/process/multicomplete.h>
%}

#if SWIG_VERSION >= 0x020000
%shared_ptr(sstmac::multicomplete);
#else
SWIG_SHARED_PTR_DERIVED(multicompleteptr, sstmac::nocopy, sstmac::multicomplete);
#endif

%import sstmac/swig/util/nocopy.i
%import sstmac/swig/simulator/timestamp.i

%include sstmac/swig/process/processrequest.i
%include sstmac/swig/process/scheduler.i
%include sstmac/swig/process/key.i

%include sstmac/process/multicomplete.h

