/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009-2010 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

%module sstmac_simulator

%{
#include <sstmac/simulator/linearlatency.h>
%}

#if SWIG_VERSION >= 0x020000
%shared_ptr(sstmac::linearlatency);
#else
SWIG_SHARED_PTR_DERIVED(linearlatencyptr, sstmac::latencymodel, sstmac::linearlatency);
#endif

%include sstmac/swig/simulator/latencymodel.i

%include sstmac/simulator/linearlatency.h

