/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

%module sstmac_simulator

%{
#include <sstmac/simulator/manager.h>
%}

%include sstmac/swig/simulator/launcher.i
%include sstmac/swig/simulator/timestamp.i
%include sstmac/swig/simulator/ppid.i
%include sstmac/swig/simulator/node.i
%include sstmac/swig/simulator/kernel.i
%include sstmac/swig/simulator/interconnect.i
%include sstmac/swig/simulator/indexstrategy.i
%include sstmac/swig/simulator/allocationstrategy.i

#if SWIG_VERSION >= 0x020000
%shared_ptr(sstmac::manager);
#else
SWIG_SHARED_PTR(managerptr, sstmac::manager);
#endif

%include sstmac/simulator/manager.h

