/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */

%module sstmac_util

%{
#include <sstmac/util/rng.h>
%}

#if SWIG_VERSION >= 0x020000
%shared_ptr(sstmac::RNG::UniformInteger);
%shared_ptr(sstmac::RNG::MWC);
%shared_ptr(sstmac::RNG::SHR3);
%shared_ptr(sstmac::RNG::CONG);
%shared_ptr(sstmac::RNG::SimpleCombo);
%shared_ptr(sstmac::RNG::Table256);
%shared_ptr(sstmac::RNG::LFIB4);
%shared_ptr(sstmac::RNG::SWB);
%shared_ptr(sstmac::RNG::Combo);
#else
SWIG_SHARED_PTR(uniformintegerptr, sstmac::RNG::UniformInteger);
SWIG_SHARED_PTR_DERIVED(uniformintegerptr, sstmac::RNG::UniformInteger, sstmac::RNG::UniformInteger);
SWIG_SHARED_PTR_DERIVED(mwcptr, sstmac::RNG::UniformInteger, sstmac::RNG::MWC);
SWIG_SHARED_PTR_DERIVED(shr3ptr, sstmac::RNG::UniformInteger, sstmac::RNG::SHR3);
SWIG_SHARED_PTR_DERIVED(congptr, sstmac::RNG::UniformInteger, sstmac::RNG::CONG);
SWIG_SHARED_PTR_DERIVED(simplecomboptr, sstmac::RNG::UniformInteger, sstmac::RNG::SimpleCombo);
SWIG_SHARED_PTR_DERIVED(table256ptr, sstmac::RNG::UniformInteger, sstmac::RNG::Table256);
SWIG_SHARED_PTR_DERIVED(lfib4ptr, sstmac::RNG::Table256, sstmac::RNG::LFIB4);
SWIG_SHARED_PTR_DERIVED(swbptr, sstmac::RNG::Table256, sstmac::RNG::SWB);
SWIG_SHARED_PTR_DERIVED(comboptr, sstmac::RNG::UniformInteger, sstmac::RNG::Combo);
#endif

%include sstmac/util/rng.h

