/*
 *  This file is part of SST/macroscale: 
 *               The macroscale architecture simulator from the SST suite.
 *  Copyright (c) 2009-2010 Sandia Corporation.
 *  This software is distributed under the BSD License.
 *  Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
 *  the U.S. Government retains certain rights in this software.
 *  For more information, see the LICENSE file in the top 
 *  SST/macroscale directory.
 */


#include <sstmac/util/rng.h>
#include <iostream>

int
main(int argc, char **argv)
{
  boost::shared_ptr<sstmac::RNG::UniformInteger> rng
    = sstmac::RNG::Combo::construct();
  sstmac::RNG::UniformInteger_functor rngf(rng);
  for (int i=0; i<1000; i++) {
    std::cout << rngf() << std::endl;
  }
  return 0;
}

